> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cekura.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create API Key

> Create a new API key. When using API key authentication, only project-level API keys can be created.



## OpenAPI

````yaml post /user/api/v1/user-api-key/
openapi: 3.1.0
info:
  title: Cekura API
  version: v1
  description: >-
    Complete API documentation for the Cekura platform. This API provides
    endpoints for testing, observing, and evaluating AI voice agents — including
    managing agents, running evaluators, defining metrics, and analyzing call
    quality.
servers:
  - url: https://api.cekura.ai
security: []
paths:
  /user/api/v1/user-api-key/:
    post:
      tags:
        - user
      description: >-
        Create a new API key. When using API key authentication, only
        project-level API keys can be created.
      operationId: user-api-key-create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserAPIKey'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/UserAPIKey'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/UserAPIKey'
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserAPIKey'
          description: ''
      security:
        - api_key: []
components:
  schemas:
    UserAPIKey:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
        organization_name:
          type: string
          readOnly: true
        project:
          type:
            - integer
            - 'null'
        project_name:
          type: string
          readOnly: true
        key:
          type: string
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
  securitySchemes:
    api_key:
      type: apiKey
      name: X-CEKURA-API-KEY
      in: header
      description: >-
        API Key Authentication. It should be included in the header of each
        request.

````